Bug 142982 - Internal compiler error when rebuilding setools
Internal compiler error when rebuilding setools
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: setools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2004-12-15 11:13 EST by Jos Vos
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-14 07:33:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2004-12-15 11:13:53 EST
Description of problem:
When rebuilding setools on a RHEL4 beta2 system (full install), I get
the following error:

gcc  -Wall -O2 -I/usr/include /usr/share -fPIC
-I. -o policy.o -c policy.c
gcc: /usr/share: linker input file unused because linking not done
cc1: /usr/share: No such file or directory
cc1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
make[1]: *** [policy.o] Error 1
make[1]: Leaving directory
make: *** [libapol] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.18525 (%build)

Version-Release number of selected component (if applicable):
Comment 1 Daniel Walsh 2004-12-20 15:13:11 EST
This is fixed in setools-1.5.1-1
Comment 2 Jay Turner 2005-01-14 07:33:15 EST
No longer seeing any issues.  Closing out.

Note You need to log in before you can comment on or make changes to this bug.